Bug 1283127 - [abrt] gnome-terminal: g_datalist_id_dup_data(): gnome-terminal-server killed by SIGSEGV
[abrt] gnome-terminal: g_datalist_id_dup_data(): gnome-terminal-server killed...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:af58027e231279984f589e168ff...
:
: 1310459 1344844 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 05:37 EST by Simon K
Modified: 2016-12-20 11:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:03:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.25 KB, text/plain)
2015-11-18 05:37 EST, Simon K
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-18 05:37 EST, Simon K
no flags Details
File: core_backtrace (8.57 KB, text/plain)
2015-11-18 05:37 EST, Simon K
no flags Details
File: dso_list (9.99 KB, text/plain)
2015-11-18 05:37 EST, Simon K
no flags Details
File: environ (851 bytes, text/plain)
2015-11-18 05:37 EST, Simon K
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-18 05:37 EST, Simon K
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-18 05:37 EST, Simon K
no flags Details
File: maps (49.03 KB, text/plain)
2015-11-18 05:37 EST, Simon K
no flags Details
File: mountinfo (3.58 KB, text/plain)
2015-11-18 05:37 EST, Simon K
no flags Details
File: open_fds (1.13 KB, text/plain)
2015-11-18 05:37 EST, Simon K
no flags Details
File: proc_pid_status (1015 bytes, text/plain)
2015-11-18 05:37 EST, Simon K
no flags Details

  None (edit)
Description Simon K 2015-11-18 05:37:27 EST
Version-Release number of selected component:
gnome-terminal-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: g_datalist_id_dup_data
executable:     /usr/libexec/gnome-terminal-server
global_pid:     2541
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_datalist_id_dup_data at gdataset.c:858
 #1 g_datalist_id_get_data at gdataset.c:798
 #2 toggle_refs_notify at gobject.c:2886
 #3 g_hash_table_remove_all_nodes at ghash.c:548
 #5 g_hash_table_remove_all at ghash.c:1428
 #6 g_hash_table_destroy at ghash.c:1122
 #7 g_datalist_clear at gdataset.c:273
 #9 g_value_unset at gvalue.c:272
 #12 gtk_css_node_set_style at gtkcssnode.c:867
 #13 gtk_css_node_ensure_style at gtkcssnode.c:928
Comment 1 Simon K 2015-11-18 05:37:32 EST
Created attachment 1095939 [details]
File: backtrace
Comment 2 Simon K 2015-11-18 05:37:34 EST
Created attachment 1095940 [details]
File: cgroup
Comment 3 Simon K 2015-11-18 05:37:35 EST
Created attachment 1095941 [details]
File: core_backtrace
Comment 4 Simon K 2015-11-18 05:37:37 EST
Created attachment 1095942 [details]
File: dso_list
Comment 5 Simon K 2015-11-18 05:37:39 EST
Created attachment 1095943 [details]
File: environ
Comment 6 Simon K 2015-11-18 05:37:40 EST
Created attachment 1095944 [details]
File: exploitable
Comment 7 Simon K 2015-11-18 05:37:42 EST
Created attachment 1095945 [details]
File: limits
Comment 8 Simon K 2015-11-18 05:37:44 EST
Created attachment 1095946 [details]
File: maps
Comment 9 Simon K 2015-11-18 05:37:45 EST
Created attachment 1095947 [details]
File: mountinfo
Comment 10 Simon K 2015-11-18 05:37:47 EST
Created attachment 1095948 [details]
File: open_fds
Comment 11 Simon K 2015-11-18 05:37:49 EST
Created attachment 1095949 [details]
File: proc_pid_status
Comment 12 Tad Bilby 2016-02-21 15:01:00 EST
*** Bug 1310459 has been marked as a duplicate of this bug. ***
Comment 13 Brian J. Murrell 2016-03-14 14:12:52 EDT
Another user experienced a similar problem:

As near as I can determine, pressed the up-arrow key a few times

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: g_datalist_id_dup_data
executable:     /usr/libexec/gnome-terminal-server
global_pid:     2769
kernel:         4.3.3-303.fc23.x86_64
package:        gnome-terminal-3.18.2-1.fc23
reason:         gnome-terminal-server killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 14 Brian J. Murrell 2016-03-14 20:31:05 EDT
Another user experienced a similar problem:

Watching a video with mplayer.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: g_datalist_id_dup_data
executable:     /usr/libexec/gnome-terminal-server
global_pid:     9518
kernel:         4.3.3-303.fc23.x86_64
package:        gnome-terminal-3.18.2-1.fc23
reason:         gnome-terminal-server killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 15 Brian J. Murrell 2016-03-14 20:32:13 EDT
I've hit this twice in one day now.  Surely this must make this bug important enough to at least triage, yes?
Comment 16 xzj8b3 2016-06-11 12:24:40 EDT
*** Bug 1344844 has been marked as a duplicate of this bug. ***
Comment 17 Fedora End Of Life 2016-11-24 08:32:39 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 11:03:00 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.